summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
Diffstat (limited to 'source/d')
-rwxr-xr-xsource/d/icecream/icecream.SlackBuild9
-rw-r--r--source/d/meson/meson.47bdea504067d00e9bed522e9575bd2416bfe4ee.patch48
-rwxr-xr-xsource/d/meson/meson.SlackBuild5
3 files changed, 57 insertions, 5 deletions
diff --git a/source/d/icecream/icecream.SlackBuild b/source/d/icecream/icecream.SlackBuild
index fb7245652..4819fc77b 100755
--- a/source/d/icecream/icecream.SlackBuild
+++ b/source/d/icecream/icecream.SlackBuild
@@ -24,7 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=icecream
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+SRCNAM=icecc
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
@@ -67,8 +68,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.lz || exit 1
-cd $PKGNAM-$VERSION || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.lz || exit 1
+cd $SRCNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
@@ -77,7 +78,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-./autogen.sh || exit 1
+#./autogen.sh || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/source/d/meson/meson.47bdea504067d00e9bed522e9575bd2416bfe4ee.patch b/source/d/meson/meson.47bdea504067d00e9bed522e9575bd2416bfe4ee.patch
new file mode 100644
index 000000000..ee111cbea
--- /dev/null
+++ b/source/d/meson/meson.47bdea504067d00e9bed522e9575bd2416bfe4ee.patch
@@ -0,0 +1,48 @@
+From 47bdea504067d00e9bed522e9575bd2416bfe4ee Mon Sep 17 00:00:00 2001
+From: Daniel Mensinger <daniel@mensinger-ka.de>
+Date: Fri, 13 Sep 2019 12:23:06 +0200
+Subject: [PATCH] mconf: Fix meson configure crash (fixes #5909)
+
+---
+ mesonbuild/mconf.py | 4 ++--
+ run_unittests.py | 4 ++++
+ 2 files changed, 6 insertions(+), 2 deletions(-)
+
+diff --git a/mesonbuild/mconf.py b/mesonbuild/mconf.py
+index cac9d61ce4..4f8014014d 100644
+--- a/mesonbuild/mconf.py
++++ b/mesonbuild/mconf.py
+@@ -181,7 +181,7 @@ def print_default_values_warning():
+ core_options = {k: o for k, o in self.coredata.builtins.items() if k in core_option_names}
+
+ self.print_options('Core options', core_options)
+- if self.build.environment.is_cross_build():
++ if self.default_values_only or self.build.environment.is_cross_build():
+ self.print_options('Core options (for host machine)', self.coredata.builtins_per_machine.host)
+ self.print_options(
+ 'Core options (for build machine)',
+@@ -190,7 +190,7 @@ def print_default_values_warning():
+ self.print_options('Core options', self.coredata.builtins_per_machine.host)
+ self.print_options('Backend options', self.coredata.backend_options)
+ self.print_options('Base options', self.coredata.base_options)
+- if self.build.environment.is_cross_build():
++ if self.default_values_only or self.build.environment.is_cross_build():
+ self.print_options('Compiler options (for host machine)', self.coredata.compiler_options.host)
+ self.print_options(
+ 'Compiler options (for build machine)',
+diff --git a/run_unittests.py b/run_unittests.py
+index f06be23aef..8cc9811482 100755
+--- a/run_unittests.py
++++ b/run_unittests.py
+@@ -3624,6 +3624,10 @@ def test_introspect_buildoptions_without_configured_build(self):
+ self.maxDiff = None
+ self.assertListEqual(res_nb, res_wb)
+
++ def test_meson_configure_from_source_does_not_crash(self):
++ testdir = os.path.join(self.unit_test_dir, '59 introspect buildoptions')
++ self._run(self.mconf_command + [testdir])
++
+ def test_introspect_json_dump(self):
+ testdir = os.path.join(self.unit_test_dir, '57 introspection')
+ self.init(testdir)
+
diff --git a/source/d/meson/meson.SlackBuild b/source/d/meson/meson.SlackBuild
index 381933778..860dd31f1 100755
--- a/source/d/meson/meson.SlackBuild
+++ b/source/d/meson/meson.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=meson
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -60,6 +60,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# Fix meson configure crash:
+zcat $CWD/meson.47bdea504067d00e9bed522e9575bd2416bfe4ee.patch.gz | patch -p1 --verbose || exit 1
+
python3 setup.py install --root=$PKG || exit 1
mv $PKG/usr/share/man $PKG/usr/